import {ChatMessage} from './chat.message';

export interface WebsocketListener
{
  onChatMessage(message: ChatMessage): void;

  onLogout(): void;

  onConnection(): void;

  onReconnect(): void;

  onError(message: string): void;
}
